summaryrefslogtreecommitdiff
path: root/Master/bin/x86_64-darwinlegacy/sjislatex
diff options
context:
space:
mode:
authorMojca Miklavec <mojca.miklavec@gmail.com>2017-04-16 22:49:49 +0000
committerMojca Miklavec <mojca.miklavec@gmail.com>2017-04-16 22:49:49 +0000
commit1166c9e571cd523640fc8e6106e2582eab0ad62f (patch)
tree0af8f1c7b837bd8ccc4a8f4144e2cd88a4f1f9d2 /Master/bin/x86_64-darwinlegacy/sjislatex
parent9770bb0474cfd25c1dd2c62d577727443f18f5bd (diff)
TL 17 pretest binaries for legacy darwin platforms
* Replace universal-darwin by i386-darwin and powerpc-darwin * Add x86_64-darwinlegacy for 64-bit support for 10.6 and later now that x86_64-darwin only supports the latest three OS versions (= 10.10 and later) Changes: * pretest binaries from TL 2017 (r43842) * biber removed * asy, xindy, dvisvgm copied from TL 2016 * xz 5.2.3 * wget copied from TL 2016 git-svn-id: svn://tug.org/texlive/trunk@43871 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/bin/x86_64-darwinlegacy/sjislatex')
-rwxr-xr-xMaster/bin/x86_64-darwinlegacy/sjislatex43
1 files changed, 43 insertions, 0 deletions
diff --git a/Master/bin/x86_64-darwinlegacy/sjislatex b/Master/bin/x86_64-darwinlegacy/sjislatex
new file mode 100755
index 00000000000..b1086cba768
--- /dev/null
+++ b/Master/bin/x86_64-darwinlegacy/sjislatex
@@ -0,0 +1,43 @@
+#! /bin/sh
+
+# Copyright (C) 1994-2015 Werner Lemberg <wl@gnu.org>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program in doc/COPYING; if not, write to the Free
+# Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
+# MA 02110-1301 USA
+
+n=1
+argv=
+
+# get last argument
+while test 1 -lt $#; do
+ eval argv$n=\$1
+ argv="$argv \"\$argv$n\""
+ n=`expr $n + 1`
+ shift
+done
+
+# replace extension with .cjk or append .cjk if there is no extension
+tex=$1
+case $tex in
+""|*.cjk)
+ echo >&2 "Usage: $0 [options] latex-file"
+ exit 1;;
+*)
+ aux=`expr "X$tex" : 'X\(.*\)\.[^/]*$' \| "X$tex" : 'X\(.*\)'`.cjk;;
+esac
+
+sjisconv < "$tex" > "$aux" && eval latex "$argv" "\$aux"
+
+# EOF